(($) ->
	
	$.fn.alert = ->
		@each ->
			self = $(this)
			self.on 'click', '.close-button', (e) ->
				e.preventDefault()
				self.addClass 'close'
				return
			self.on 'transitionEnd webkitTransitionEnd oTransitionEnd', ->
				self.remove()
				return
			return
	
	return
) jQuery